using System.Threading.Tasks;
using Abp.Application.Services;
using Abp.Application.Services.Dto;
using MineTec.ProManager.Social.Chat.Dto;

namespace MineTec.ProManager.Social.Chat
{
    public interface IChatAppService : IApplicationService
    {
        Task<ListResultDto<ChatUserDto>> GetAllChatUser();

        Task<ListResultDto<ChatMessageDto>> GetUserChatMessages(GetUserChatMessagesInput input);

        Task<int> UnreadMessageCount();

        Task MarkAllUnreadMessagesOfUserAsRead(MarkAllUnreadMessagesOfUserAsReadInput input);
    }
}
